org.apache.lucene.codecs.compressing

## Class FieldsIndexWriter

- java.lang.Object
- - org.apache.lucene.codecs.compressing.FieldsIndexWriter

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class FieldsIndexWriter
      extends Object
      implements Closeable

  Efficient index format for block-based `Codec`s.

  For each block of compressed stored fields, this stores the first document of the block and the start pointer of the block in a `DirectMonotonicWriter`. At read time, the docID is binary-searched in the `DirectMonotonicReader` that records doc IDS, and the returned index is used to look up the start pointer in the `DirectMonotonicReader` that records start pointers.

  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FIELDS_INDEX_EXTENSION_SUFFIX` Extension of stored fields index file.
    `static String` | `FIELDS_META_EXTENSION_SUFFIX` Extension of stored fields meta file.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS_INDEX_EXTENSION_SUFFIX

          public static final String FIELDS_INDEX_EXTENSION_SUFFIX

      Extension of stored fields index file.
      See Also:
        Constant Field Values

    - #### FIELDS_META_EXTENSION_SUFFIX

          public static final String FIELDS_META_EXTENSION_SUFFIX

      Extension of stored fields meta file.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.